Skip to main content
POST
Create counterparty recipient

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Body

application/json

The create counterparty recipient attributes

Body params to create a counterparty recipient

tax_number
string
required

Tax number of the counterparty

name
string
required

Name of the counterparty

ref_type
enum<string>
required

How the recipient is referenced

Available options:
pix_key,
bank_account_detailed
pix_key
string | null

Pix key. Required when ref_type is pix_key

ispb
string | null

Bank account ispb. Required when ref_type is bank_account_detailed

branch
string | null

Bank account branch. Required when ref_type is bank_account_detailed

number
string | null

Bank account number. Required when ref_type is bank_account_detailed

digit
string | null

Bank account digit. Required when ref_type is bank_account_detailed

type
enum<string>

Bank account type

Available options:
checking,
payment,
salary,
savings

Response

CounterpartyRecipient

Counterparty recipient response

data
Counterparty recipient data · object

Body response of the counterparty recipient

Example: